// Demonstrate writing to a file by using a 
// FileWriter that reads lines from the console.
 
import java.io.*; 
 
class KeyboardToDisk { 
  public static void main(String args[])  
  throws IOException { 
 
    String str; 
    FileWriter fw; 
    BufferedReader br = 
            new BufferedReader( 
                  new InputStreamReader(System.in)); 
 
    try { 
      fw = new FileWriter("keyboard-to-disk.txt"); 
    } 
    catch(IOException exc) {
      System.out.println("Error:" + exc.getMessage());
      System.out.println("Cannot open file."); 
      return ; 
    } 
 
    System.out.println("Enter text ('stop' to quit)."); 
    do { 
      System.out.print("> "); 
      str = br.readLine(); 
 
      if(str.compareTo("stop") == 0) break;  
 
      str = str + "\r\n"; // add newline 
      fw.write(str); 
    } while(str.compareTo("stop") != 0); 
 
    fw.close();
    System.out.println("Look at the output in file  keyboard-to-disk.txt");
  } 
}
