// What user error might be expect to see in relation to line 29?
import java.io.*;
public class CopyFileWithStream
{
  public static void copyFile(File in, File out) throws Exception
  {
    FileInputStream fis  = new FileInputStream(in);
    FileOutputStream fos = new FileOutputStream(out);
    try
    {
        byte[] buf = new byte[1024];
        int i = 0;
        while ((i = fis.read(buf)) != -1)
        {
            fos.write(buf, 0, i);
        }
    }
    catch (Exception e)
    {
        throw e;
    }
    finally {
        if (fis != null) fis.close();
        if (fos != null) fos.close();
    }
  }
  public static void main(String[] args) throws Exception
  {
    CopyFileWithStream.copyFile(new File(args[0]),new File(args[1]));
  }
}