// Demonstrate a file reader
import java.io.*;
class DiskToScreenWithExceptionHandling
{
  // throws declaration required by compiler if we do try/catch involving IO
  public static void main(String[] args) throws IOException
  {
	FileReader fr = new FileReader("DiskToScreen.java");
	try
	{

		BufferedReader br = new BufferedReader(fr);
		String s;
		while((s = br.readLine()) != null)
		{
		  System.out.println(s);
		}
	}
	catch(IOException e)
	{
		System.out.println("IOException " + e);
	}
	finally
	{
    	fr.close();
    	System.out.println("Finally has closed the file reader");
	}
  }
}