//package io.* but here individual classes;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.FileNotFoundException;

public class ReadFromFile
{
  public ReadFromFile()
  {
  }
  public static void main(String[] args)
  {
    String st = null;
    File inputFileName = null;
    FileReader inputFile = null;
    BufferedReader in = null;
    try {
      inputFileName = new File("ShowFile.java");
      inputFile = new FileReader(inputFileName);
      in = new BufferedReader(inputFile);
      /*The above 3 lines can be combined in one line as below
      in = new BufferedReader(new FileReader(new File("Input1.txt")));
      */
      // Start reading from the opened file
      while((st = in.readLine()) != null )
      {
        System.out.println(st);
      }
    }
     catch (FileNotFoundException fnex)
    {
      System.out.println("Input file was not found");
    }
    catch (IOException ex)
    {
      System.out.println("There was a problem reading from the file");
    }
    finally
    {
      if( in != null)
        try {
          in.close();
        }
        catch (Exception ex) {
          System.out.println("There was a problem with closing the file");
        }
    }
  }
}
