// ShowFile.java displays contents of the text
// file specified on the command line.
// Usage: java ShowFileTryWithResources myFile.txt
import java.io.*;
public class ShowFile
{
  public static void main(String[] args)
    throws IOException
  {
    int i;
    FileInputStream fin;
    try
    {
      fin = new FileInputStream(args[0]);
    }
    catch(FileNotFoundException exc)
    {
      System.out.println("File Not Found");
      return;
    }
   catch(ArrayIndexOutOfBoundsException exc)
	{
	  System.out.println("Error: " + exc.toString());
	  System.out.println("Usage: java ShowFile FileName");
	  return;
    }
    // read bytes until EOF is encountered
    do
    {
      i = fin.read();
      if(i != -1) System.out.print((char) i);
    }
    while(i != -1);
    fin.close();
  }
}